Bug 148827 - IOs over 32kb on raw or ocfs not getting merged
IOs over 32kb on raw or ocfs not getting merged
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stephen Tweedie
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-15 17:48 EST by Van Okamura
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-24 10:06:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to merge IOs (478 bytes, patch)
2005-02-15 17:50 EST, Van Okamura
no flags Details | Diff

  None (edit)
Description Van Okamura 2005-02-15 17:48:35 EST
Description of problem:
When doing IO larger than 32kb on raw or ocfs, the kernel splits it up
into 32kb size chunks and submits them seperately. there is no attempt
made to merge in the IO's. this is a performance hit 

Version-Release number of selected component (if applicable):
2.4.21-27

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Van Okamura 2005-02-15 17:50:13 EST
Created attachment 111115 [details]
patch to merge IOs

patch on top of 2.4.21-27.0.2
Comment 2 Van Okamura 2005-02-15 17:51:54 EST
The attached patch attempts to fix this.
Comment 3 Stephen Tweedie 2005-02-28 08:49:49 EST
We have already committed larger superbh support as part of bug #131391.  Is
there really demand for merging too?  That will require an entirely separate set
of testing, and there is no way it will make U5.
Comment 4 Stephen Tweedie 2005-03-18 09:31:22 EST
Any word on this?
Comment 5 Van Okamura 2005-03-18 12:44:22 EST
With the modified superbh support, this should matter less.  But we haven't been
able to get some comparison data yet.
Comment 6 Stephen Tweedie 2005-05-24 10:06:42 EDT
The patch referred to in bug 131391 has been released as part of U5.

Closing this bug for inactivity; please reopen if you want this issue pursued.
Comment 7 Ernie Petrides 2005-05-24 15:07:48 EDT
The fix referred to by Stephen was committed to the RHEL3 U5 patch
pool on 23-Feb-2005 (in kernel version 2.4.21-28.EL).  Following is
the U5 advisory message from the Errata System:

An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-294.html

Note You need to log in before you can comment on or make changes to this bug.